name: unicblue/slideshow
typeName: unicblue_slideshow
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: slides
    type: Collection
    labelField: title
    fields:
      -
        identifier: title
        type: Text
        required: true
      -
        identifier: body_text
        type: Textarea
        enableRichtext: true
      -
        identifier: author_name
        type: Text
      -
        identifier: author_location
        type: Text
      -
        identifier: image
        type: File
        required: true
        allowed: common-image-types
        minitems: 1
        maxitems: 1
      -
        identifier: link
        type: Link
      -
        identifier: link_text
        type: Text
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: options_palette
    type: Palette
    fields:
      -
        identifier: transition_type
        type: Select
        translatable: false
        renderType: selectSingle
        default: fade
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/slideshow/language/labels.xlf:transition_type.items.fade
            value: fade
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/slideshow/language/labels.xlf:transition_type.items.slide
            value: slide
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/slideshow/language/labels.xlf:transition_type.items.loop
            value: loop
      -
        identifier: autoplay
        type: Checkbox
        translatable: false
        default: 0
      -
        identifier: autoplay_interval
        type: Number
        translatable: false
        default: 5000
        range:
          lower: 1000
          upper: 20000
      -
        identifier: pause_on_hover
        type: Checkbox
        translatable: false
        default: 1
      -
        identifier: rewind
        type: Checkbox
        translatable: false
        default: 1
      -
        identifier: speed
        type: Number
        translatable: false
        default: 1000
      -
        identifier: show_arrows
        type: Checkbox
        translatable: false
        default: 1
      -
        identifier: show_caption
        type: Checkbox
        translatable: false
        default: 0
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
